Bug 178117 - ccs descriptor bug in smb.sh
Summary: ccs descriptor bug in smb.sh
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-17 20:56 UTC by Lon Hohberger
Modified: 2009-04-16 20:19 UTC (History)
1 user (show)

Fixed In Version: RHBA-2006-0241
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 19:40:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0241 normal SHIPPED_LIVE rgmanager bug fix update 2006-03-09 05:00:00 UTC

Description Lon Hohberger 2006-01-17 20:56:44 UTC
Description of problem:

Shell return codes are only 8 bits wide, but ccs descriptors are 32-bit
integers.  Thus, if the ccs descriptor is > 255, ccs_connect returns bogus data.
 ccs_connect() should echo the number, and smb.sh should use the text version
rather than the 8-bit integer return code

Version-Release number of selected component (if applicable): CVS 1-17-2005

Comment 1 Lon Hohberger 2006-01-24 19:18:23 UTC
Fixes in CVS



Comment 4 Red Hat Bugzilla 2006-03-09 19:40:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0241.html



Note You need to log in before you can comment on or make changes to this bug.